.rich-text {
  position: relative;
  background-color: rgb(var(--color-background));
}
.rich-text .rich-text__content{
  --page-padding: 2rem;
  --page-width: 132rem;
  max-width: calc(var(--page-width) + var(--page-padding) * 2);
  margin: 0 auto;
  padding: 0 var(--page-padding);
}
.rich-text h2{
  font-size: 24px;
  font-weight: 800;
  margin-block: 18px;
}
.rich-text h3{
  font-size: 18px;
  font-weight: 800;
  margin-block: 18px;
}
.rich-text p{
  font-size: 16px;
  margin-block: 16px;
}
@media(max-width:959px){
  .rich-text .rich-text__content{
    --page-padding: 12px;
    max-width: 100%;
  }
}
.rich-text .block-button-group .button {
  white-space: normal;
}

.rich-text__background-image {
  position: absolute;
  inset-block-start: 0;
  inset-inline-start: 0;
  z-index: 1;
  width: 100%;
  height: 100%;
  user-select: none;
}

.rich-text__background-image img,
.rich-text__background-image svg {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

a.rich-text__link {
  position: absolute;
  inset: 0;
  z-index: 2;
  display: block;
  width: 100%;
  height: 100%;
}

.rich-text__content {
  position: relative;
  z-index: 3;
  pointer-events: none;
  --color-foreground: 0, 0, 0;
}

.rich-text__content > * {
  pointer-events: auto;
}

.rich-text__content br{
  display: none;
}

.rich-text__content .table-wrapper {
    overflow: auto;
    -webkit-overflow-scrolling: touch;
    padding: 1px;
    width: 100%;
}

.rich-text__content table{
    table-layout: fixed;
    border-collapse: collapse;
    font-size: 1.4rem;
    border-style: hidden;
    box-shadow: 0 0 0 .1rem rgba(var(--color-foreground), .2);
    width: 100%;
    text-align: center;
}

.rich-text__content th {
    background-color: #f4f4f4;
    font-weight: bold;
}

.rich-text__content table td,
.rich-text__content table th {
    padding: 1em;
    border: .1rem solid rgba(var(--color-foreground), .2);
    white-space: nowrap;
    font-size: 12px;
}

.rich-text__content table td {
  padding: 1em;
  border: .1rem solid rgba(var(--color-foreground), .2);
  white-space: pre-wrap;
  word-break: keep-all;
}